#!/usr/bin/env nextflow

// Using DSL-2
nextflow.enable.dsl=2

// Use SRAtoolkit to pull sra files
process sra_pull_process {
	
	container "${params.container__sra}"
	publishDir "${params.output_folder}", mode: 'copy', overwrite: true
	cpus 2

	input:
	val acc

	output:
	path("*.fastq")

	script:
	template 'sra_pull.sh'

}

workflow sra_pull {

	take:
	acc

	main:
	//Download sra files with given accession
	sra_pull_process(acc)

}
